Create label
curl --request POST \
--url https://app.autocalls.ai/api/user/label \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>"
}
'import requests
url = "https://app.autocalls.ai/api/user/label"
payload = {
"name": "<string>",
"color": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: '<string>'})
};
fetch('https://app.autocalls.ai/api/user/label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Label created successfully",
"data": { "id": 3, "name": "Inbound", "color": "green", "assistants_count": 0 }
}
{
"message": "The name has already been taken.",
"errors": { "name": ["The name has already been taken."] }
}
Labels
Create label
Create a label to tag your assistants
POST
/
user
/
label
Create label
Create a label to tag assistants across folders (for example,
inbound or outbound). Apply labels to assistants with the label_ids field on the Create assistant and Update assistant endpoints.
Request Body
string
required
The label name (max 255 characters). Must be unique within your account.
string
A color for the label badge. One of:
gray, slate, red, orange, amber, green, teal, blue, purple, pink.Response
string
Success message
object
{
"message": "Label created successfully",
"data": { "id": 3, "name": "Inbound", "color": "green", "assistants_count": 0 }
}
{
"message": "The name has already been taken.",
"errors": { "name": ["The name has already been taken."] }
}
⌘I

